package model

type Goods struct {
	Id        int64  `db:"id"`
	Pic       Pic    `db:"pic"`
	OwnerId   int64  `db:"owner_id"`
	Desc      string `db:"desc"`
	Title     string `db:"title"`
	Price     int64  `db:"price"`
	Integrity int    `db:"integrity"`
	Place     string `db:"place"`
	State     int    `db:"state"`
}

type GoodsJson struct {
	Pic        Pic     `json:"pic"`
	OwnerId    int64   `json:"ownerId"`
	Desc       string  `json:"desc"`
	Title      string  `json:"title"`
	Price      int64   `json:"price"`
	Integrity  int     `json:"integrity"`
	Place      string  `json:"place"`
	Categories []int64 `json:"categories"`
	State      int     `json:"state"`
}

type GoodsSurfaceJson struct {
	Pic       Pic    `json:"pic"`
	OwnerId   int64  `json:"ownerId"`
	Title     string `json:"title"`
	Price     int64  `json:"price"`
	Integrity int    `json:"integrity"`
	State     int    `json:"state"`
}

type GoodsSurface struct {
	Id        int64  `db:"id"`
	Pic       Pic    `db:"pic"`
	OwnerId   int64  `db:"owner_id"`
	Title     string `db:"title"`
	Price     int64  `db:"price"`
	Integrity int    `db:"integrity"`
	State     int    `db:"state"`
}
