package model

import "time"

type Order struct {
	Id      int64  `db:"id"`
	GoodsId int64  `db:"goods_id"`
	BuyerId int64  `db:"buyer_id"`
	Time    int64  `db:"time"`
	Place   string `db:"place"`
	Phone   string `db:"phone"`
	State   int    `db:"state"`
}

type OrderJson struct {
	GoodsId int64     `json:"goodsId"`
	BuyerId int64     `json:"buyerId"`
	Time    time.Time `json:"time"`
	Place   string    `json:"place"`
	Phone   string    `json:"phone"`
	State   int       `json:"state"`
}
